{
    "compilerOptions": {
        "experimentalDecorators": true,
        "incremental": true,
        "declaration": true,
        "allowJs": true,
        "checkJs": true,
        "tsBuildInfoFile": "dist/tsbuildinfo",
        "target": "es2022",
        "module": "nodenext",
        "outDir": "./dist/esm",
        "rootDir": "./src",
        "strict": true,
        "useDefineForClassFields": true,
        "strictNullChecks": true,
        "strictFunctionTypes": true,
        "strictBindCallApply": true,
        "strictPropertyInitialization": true,
        "forceConsistentCasingInFileNames" : true,
        "removeComments": true,
        "noImplicitAny": false,
        "alwaysStrict": true,
        "noUnusedLocals": true,
        "noUnusedParameters": true,
        "noFallthroughCasesInSwitch": true,
        "resolveJsonModule": true,
        "esModuleInterop": true,
        "preserveSymlinks": true,
        "sourceMap": true,
        "allowSyntheticDefaultImports": true,
        "moduleResolution": "nodenext"

    },
    "exclude": [
        "node_modules"
    ]
}
